# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import edt.models


class Migration(migrations.Migration):

    replaces = [
        ("edt", "0001_initial"),
        ("edt", "0002_auto_20160124_1749"),
        ("edt", "0003_auto_20160306_1821"),
    ]

    dependencies = [
        ("portailuser", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="EdtAdeGroup",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("gid", models.IntegerField(null=True)),
                ("name", models.CharField(max_length=255)),
                (
                    "ecole",
                    models.ForeignKey(to="portailuser.Ecole", on_delete=models.CASCADE),
                ),
            ],
            options={"ordering": ["gid"],},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="EdtClubs",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("club", models.CharField(max_length=50)),
                ("start", models.DateTimeField(verbose_name="D\xe9but")),
                (
                    "end",
                    models.DateTimeField(
                        help_text=b"Les \xc3\xa9v\xc3\xa9nements peuvent s\xe2\x80\x99\xc3\xa9taler sur plusieurs jours. Si l\xe2\x80\x99heure de fin d\xe2\x80\x99un \xc3\xa9v\xc3\xa9nement n\xe2\x80\x99est pas d\xc3\xa9termin\xc3\xa9e (\xc2\xab\xc2\xa0tard dans la nuit\xc2\xa0\xc2\xbb), utilisez 23:59:59 comme heure de fin (ou 00:00:00 le jour suivant).",
                        verbose_name="Fin",
                    ),
                ),
                ("people", models.CharField(max_length=250, verbose_name="Respo")),
                ("location", models.CharField(max_length=25, verbose_name="Lieu")),
                ("topic", models.CharField(max_length=250, verbose_name=b"Sujet")),
                (
                    "descr",
                    models.TextField(max_length=250, verbose_name=b"Description"),
                ),
                (
                    "public",
                    models.BooleanField(
                        default=False, verbose_name="\xc9v\xe8nement public"
                    ),
                ),
            ],
            options={"ordering": ["start"],},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="EdtRecurring",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                (
                    "start_hour",
                    models.IntegerField(
                        verbose_name="Heure de d\xe9but",
                        validators=[edt.models.is_hour],
                    ),
                ),
                (
                    "end_hour",
                    models.IntegerField(
                        verbose_name="Heure de fin", validators=[edt.models.is_hour]
                    ),
                ),
                (
                    "weekday",
                    models.IntegerField(
                        default=0,
                        verbose_name="Jour de la semaine",
                        choices=[
                            (0, b"Lundi"),
                            (1, b"Mardi"),
                            (2, b"Mercredi"),
                            (3, b"Jeudi"),
                            (4, b"Vendredi"),
                            (5, b"Samedi"),
                            (6, b"Dimanche"),
                        ],
                    ),
                ),
                (
                    "people",
                    models.CharField(max_length=250, verbose_name="Responsable"),
                ),
                ("location", models.CharField(max_length=25, verbose_name="Lieu")),
                ("topic", models.CharField(max_length=250, verbose_name=b"Titre")),
                (
                    "category",
                    models.CharField(
                        default=b"cours",
                        max_length=20,
                        verbose_name=b"Cat\xc3\xa9gorie",
                        choices=[
                            (b"admin", "de formalit\xe9s administratives"),
                            (b"cours", "de cours"),
                            (b"sport", "de sport"),
                            (b"td", "de TD"),
                            (b"tp", "de TP"),
                            (b"projet", "de projet"),
                            (b"examen", "d\u2019examen"),
                            (b"club", "de club"),
                        ],
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.AlterUniqueTogether(
            name="edtadegroup", unique_together={("ecole", "name")},
        ),
    ]
